Bug 12209 - Fix currency symbol for NOK
Summary: Fix currency symbol for NOK
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Magnus Enger
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-07 11:41 UTC by Magnus Enger
Modified: 2014-12-07 20:07 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 12209 - Fix currency symbol for NOK (1.54 KB, patch)
2014-05-15 06:45 UTC, Magnus Enger
Details | Diff | Splinter Review
[SIGNED-PFF] Bug 12209 - Fix currency symbol for NOK (1.66 KB, patch)
2014-05-15 12:06 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[PASSED QA] Bug 12209 - Fix currency symbol for NOK (1.75 KB, patch)
2014-05-15 21:20 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Magnus Enger 2014-05-07 11:41:11 UTC
installer/data/mysql/nb-NO/2-Valgfritt/parameters.sql has:

 22 INSERT INTO `currency` (currency, rate, symbol, active) VALUES
23 ('USD', 5.6157, '$', 0),
24 ('NOK', 1.0, '$', 1),
25 ('GBP', 8.9680, '£', 0),
26 ('EUR', 7.8940, '€', 0);

The currency symbol for NOK is not $. Probably "kr"?
Comment 1 Galen Charlton 2014-05-09 16:11:16 UTC
(In reply to Magnus Enger from comment #0)
> The currency symbol for NOK is not $. Probably "kr"?

Well, you would know best.  How are NOK amounts typically written down?
Comment 2 Katrin Fischer 2014-05-15 06:03:08 UTC
Where is the patch? :) Wikipedia seems to agree with kr: http://en.wikipedia.org/wiki/Norwegian_krone
Comment 3 Magnus Enger 2014-05-15 06:15:43 UTC
Thanks for caring about the Norwegian kroner, Katrin & Galen! :-) The question mark was mostly as a note to my future self, who will provide a patch, but maybe not today. ;-)
Comment 4 Magnus Enger 2014-05-15 06:45:49 UTC Comment hidden (obsolete)
Comment 5 Bernardo Gonzalez Kriegel 2014-05-15 12:06:42 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2014-05-15 21:20:25 UTC
Created attachment 28283 [details] [review]
[PASSED QA] Bug 12209 - Fix currency symbol for NOK

Dunno why, but the currency symbol for NOK was given as "$", when
it should be "kr".

To test:
- Empty the "currency" table in the DB:
    DELETE FROM currency;
- Load in the file changed by this patch:
    sudo koha-mysql <instance> < installer/data/mysql/nb-NO/2-Valgfritt/parameters.sql
    (if you are testing on a (gitified) package install)
- Check that "kr" is displayed on /cgi-bin/koha/admin/currency.pl
- Add a budget and a fund, and check that "kr" is displayed in the list
  of funds (currency symbols seem to be missing from the list of budgets)

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
file loads ok, kr currency active, no errors

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Works as described, no problems found.
Comment 7 Galen Charlton 2014-05-16 02:55:46 UTC
Pushed to master.  Thanks, Magnus!